package com.bcxin.ins.service.order;


import com.bcxin.ins.entity.policy_special.SpecialCreditSt;
import com.bcxin.ins.vo.CommonExportVo_1;
import com.bcxin.ins.vo.CommonExportVo_2;
import com.bcxin.ins.vo.CommonExportVo_3;
import com.bcxin.mybatisplus.service.IService;

public interface InsCommonExportAPIService extends IService<SpecialCreditSt> {
	
	public SpecialCreditSt getInsCommonExportBusiness(Long oid);
	
	public SpecialCreditSt initInsCommonExport();
	
	public void getCommonExportVo_1BySpecial_id(CommonExportVo_1 vo, Long ceID);
	
	public void getCommonExportVo_2BySpecial_id(CommonExportVo_2 vo, Long ceID);

	public void getCommonExportVo_3BySpecial_id(CommonExportVo_3 vo,
                                                Long ceID);

	public void accordingToTheCommonExportVo_1SetUpInsCommonExport(
            CommonExportVo_1 vo, Long special_id);

	public void accordingToTheCommonExportVo_2SetUpInsCommonExport(
            CommonExportVo_2 vo, Long special_id);

	public void accordingToTheCommonExportVo_3SetUpInsCommonExport(
            CommonExportVo_3 vo, Long special_id);
}
